For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETDownload a GP worker payslip
      • GETGet Payroll Report
      • GETRetrieve additional information fields for GP workers by country
      • PATCHUpdate job title for a contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsGlobal Payroll

Update job title for a contract

PATCH
/gp/contracts/:contract_id/job-title
PATCH
/rest/v2/gp/contracts/:contract_id/job-title
$curl -X PATCH https://api.letsdeel.com/rest/v2/gp/contracts/abc123xyz/job-title \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "job_title": "Senior Software Engineer",
> "effective_date": "2026-04-01"
> }
>}'
1{
2 "data": {
3 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
4 "scope": "JOB_TITLE",
5 "is_active": true,
6 "job_title": "Senior Software Engineer",
7 "created_at": "2026-03-17T10:00:00.000Z",
8 "contract_id": "abc123xyz",
9 "effective_date": "2026-04-01"
10 }
11}

Use this API to update the job title for a contract. Provide the contract ID and new job title details to make a change. Token scopes: contracts:write

Was this page helpful?
Previous

Create a Global Payroll (GP) contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the GP contract.

Request

Job title change details including effective date and new job title.
dataobjectRequired

Response

Job title change created successfully.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication